librdf-linkeddata-perl (1.940-4) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Update lintian override info format in d/source/lintian-overrides on line
    2-7.
  * Set upstream metadata fields: Repository-Browse.

  [ gregor herrmann ]
  * debian/control: replace liblog-any-adapter-perl with liblog-any-perl
    in Build-Depends and Recommends.
    liblog-any-adapter-perl was removed from the archive in 2015 and is not
    Provided by liblog-any-perl anymore. Cf. #1051192.

 -- gregor herrmann <gregoa@debian.org>  Mon, 04 Sep 2023 18:34:07 +0200

librdf-linkeddata-perl (1.940-3) unstable; urgency=medium

  * fix autopkgtests
  * declare compliance with Debian Policy 4.6.2
  * update git-buildpackage config:
    + use DEP-14 git branches
    + enable automatic DEP-14 branch name handling
    + add usage config
  * buid-depend on librdf-rdfa-parser-perl; see bug#750946
  * update copyright info:
    + use field Reference (not License-Reference)
    + update coverage
  * simplify source helper tool copyright-check
  * fix lintian overrides

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 30 Dec 2022 15:11:58 +0100

librdf-linkeddata-perl (1.940-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Remove constraints unnecessary since stretch:
    + Build-Depends: Drop versioned constraint on libnamespace-autoclean-perl,
      libscalar-list-utils-perl, libtest-rdf-perl, liburi-namespacemap-perl,
      liburi-perl and perl.
    + librdf-linkeddata-perl: Drop versioned constraint on
      libnamespace-autoclean-perl, libscalar-list-utils-perl,
      liburi-namespacemap-perl, liburi-perl and perl in Depends.
  * Bump debhelper dependency to >= 9, since that's what is used in
    debian/compat.
  * Bump debhelper from deprecated 9 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Set Testsuite header for perl package.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 12 Dec 2022 19:50:46 +0000

librdf-linkeddata-perl (1.940-1.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Fri, 08 Jan 2021 14:36:19 +0100

librdf-linkeddata-perl (1.940-1) unstable; urgency=medium

  [ upstream ]
  * New release(s):
    + Add a possible controls type.
    + Add auth_required method to check if an operation requires
      authentication.
    + Allow a class config option that can add functionality.
    + Check for RDF::LinkedData::RWHypermedia if writes are enabled.
    + Document read-write features.
    + Implement functionality to check if a read operation is given.
    + Improve handling of configuration options.
    + Fix return 404 if controls are requested with no writes.
    + Add support for new RDFa generator.
    + Change name of method to check read operations.
    + Make sure end tags are added to HTML output.
    Closes: Bug#913979. Thanks to Adrian Bunk.

  [ Damyan Ivanov ]
  * declare conformance with Policy 4.1.3 (no changes needed)

  [ Salvatore Bonaccorso ]
  * Update Vcs-* headers for switch to salsa.debian.org

  [ gregor herrmann ]
  * debian/*: update URLs from {search,www}.cpan.org to MetaCPAN.
  * debian/*: update GitHub URLs to use HTTPS.

  [ Jonas Smedegaard ]
  * Simplify rules:
    + Stop resolve build-dependencies in rules file.
    + Use short-form dh sequencer (not cdbs).
      Stop build-depend on cdbs.
  * Skip testsuite build-dependencies when bootstrapping.
  * Wrap and sort control file.
  * Stop build-depend on dh-buildinfo.
  * Declare compliance with Debian Policy 4.2.1.
  * Update watch file: Fix typo in usage comment.
  * Tighten lintian overrides regarding License-Reference.
  * Update copyright info:
    + Extend coverage of packaging.
    + Extend coverage for main upstream author.
  * Update package relations:
    + Tighten to (build-)depend versioned on librdf-rdfa-generator-perl.
    + (Build-)depend on librdf-trine-serializer-rdfa-perl
      librdf-trinex-compatibility-attean-perl.
  * Set Rules-Requires-Root: no.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 25 Nov 2018 18:34:02 +0100

librdf-linkeddata-perl (1.02-1) unstable; urgency=medium

  [ upstream ]
  * New release:
    + Skip some tests if no RDFa parser is present.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 28 Aug 2017 15:54:02 +0200

librdf-linkeddata-perl (1.00-1) experimental; urgency=medium

  [ upstream ]
  * New release(s).
    + Fix packaging bug with Config::ZOMG.
    + Fix tests base_uri attribute.
    + Proofread and improve documentation.
    + Remove the Error module, use Carp::croak.
    + Remove the final eval, use Try::Tiny.
    + Return Turtle rather than RDF/XML if no content type is given.
    + Avoid reying on . in @INC.
    + Check that Integer URI is OK in test.
    + Use can_load to check for optionals in tests.

  [ Jonas Smedegaard ]
  * Temporarily avoid build-depending on librdf-rdfa-parser-perl to
    avoid bug#750946.
  * Modernize cdbs: Do copyright-check in maintainer script (not during
    build).
  * Update copyright info:
    + Extend coverage for myself.
    + Use https protocol in file format URL.
  * Modernize Vcs-* fields: Use git (not cgit) in path.
    Stop build-depend on licensecheck.
  * Declare compliance with Debian Policy 4.1.0.
  * Modernize resolving target suite. Thanks to Gregor Herrmann.
  * Update package relations: Build-depend on and recommend
    libconfig-zomg-perl (not libconfig-jfdi-perl).

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 25 Aug 2017 19:41:47 +0200

librdf-linkeddata-perl (0.76-1) unstable; urgency=medium

  [ upstream ]
  * New release.
    + Also check the request path for the endpoints.
    + Hypermedia controls for the 'all' fragment.
    + Use MooX::Log::Any for logging.
    + Use URI::NamespaceMap properly.

  [ Jonas Smedegaard ]
  * Update watch file:
    + Bump to file format 4.
    + Watch only MetaCPAN URL.
    + Mention gbp --uscan in usage comment.
  * Modernize git-buildpackage config: Filter any .git* file.
  * Update copyright info:
    + Use License-Grant and License-Reference fields.
      Thanks to Ben Finney.
    + Extend coverage of Debian packaging.
  * Add lintian override regarding license in License-Reference field.
    See bug#786450.
  * Bump debhelper compatibility level to 9.
  * Modernize Vcs-Git field: Use https protocol.
  * Drop CDBS get-orig-source target: Use gbp import-orig --uscan.
  * Modernize CDBS use: Build-depend on licensecheck (not devscripts).

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 02 Jan 2017 13:06:19 +0100

librdf-linkeddata-perl (0.74-1) unstable; urgency=medium

  * [ upstream ]
    New release.
    + Fix the template to be Hydra compliant.
    + Move Perl version setting to makefile.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 16 Mar 2015 14:36:54 +0100

librdf-linkeddata-perl (0.72-1) unstable; urgency=medium

  * [ upstream ]
    New release.
    + Add support for downloading the complete datasets as fragments.
    + Set explicit Perl version.

  [ Jonas Smedegaard ]
  * Update copyright info: Extend coverage for main upstream author.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 15 Feb 2015 21:35:59 +0100

librdf-linkeddata-perl (0.70-1) unstable; urgency=medium

  * [ upstream ]
    New release.
    + Add the use of Expires module.
    + Improve documentation.
    + Support the .well-known/void magic URL.
    + Triple Pattern Fragments support.
    + Hand-maintain README.
    + Migrate object system from Moose to Moo.
    + Use Dist::Inkt to package.
    + Use Log::Contextual to manage the logging.

  [ Salvatore Bonaccorso ]
  * Update Vcs-Browser URL to use cgit web frontend.

  [ Jonas Smedegaard ]
  * Update package relations:
    + (Build-)depend on libmoo-perl (not libmoose-perl).
    + (Build-)depend on libtype-tiny-perl (not
      libmoosex-undeftolerant-perl).
    + (Build-)depend on liblog-contextual-perl (not
      libmoosex-log-log4perl-perl).
    + (Build-)depend on (recent perl or) recent
      libscalar-list-utils-perl.
    + Build-depend on and recommend libplack-middleware-expires-perl.
    + Relax to build-depend unversioned on cdbs: Unneeded with current
      upstream packaging system.
    + Stop build-depend on libmodule-package-rdf-perl: Unneeded with
      current upstream packaging system.
  * Update copyright info:
    + Drop coverage of no longer included convenience code copies.
  * Declare compliance with Debian Policy 3.9.6.
  * Stop regenerate upstream packaging.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 18 Oct 2014 03:07:07 +0200

librdf-linkeddata-perl (0.68-1) unstable; urgency=medium

  * [ upstream ]
    New release.
    + Many smaller documentation updates.
    + Document the use of the PERLRDF_STORE environment variable.
    + Drop the weak ETag checking.
    + Use Try::Tiny instead of eval.

  [ Jonas Smedegaard ]
  * (Build-)-depend on libtry-tiny-perl.
  * Improve README.Debian.
    Closes: bug#755954. Thanks to Kjetil Kjernsmo.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 05 Aug 2014 12:24:50 +0200

librdf-linkeddata-perl (0.66-1) unstable; urgency=medium

  * [ upstream ]
    New release.
    + Fix avoid potential URI-prefixed ETags.
    + Fix quote ETags (mandated by RFC2616).
    + Make ETags use base64 encoding rather than a hex.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 12 Jul 2014 00:47:44 +0200

librdf-linkeddata-perl (0.64-1) unstable; urgency=medium

  * [ upstream ]
    New release(s).
    + Fix install the PSGI script.
    + Add a Server header.
    + Add git2prov links to the meta information, so there's a linked
      data chain from Github.
    + Fix avoid some vocabularies showing up as URI::Namespace strings.

  [ Damyan Ivanov ]
  * add README.Debian with hints about integration.
    Closes: bug#682243. Thanks to Kjetil Kjernsmo.

  [ Jonas Smedegaard ]
  * Bump standards compliance to standards-version 3.9.5.
  * Fix use canonical Vcs-Git URL.
  * Update watch file to use metacpan.org URL (in addition to
    www.cpan.org URL).
  * Update copyright info:
    + Extend coverage for main upstream author.
    + Drop Files section for a no longer shipped convenience code copy.
    + Extend coverage of packaging to include current year.
  * Revert to install PSGI script below /usr/share (not as example
    file).

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 01 Jul 2014 19:36:58 +0200

librdf-linkeddata-perl (0.58-1) unstable; urgency=low

  * [ upstream ]
    New stable release.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 23 Jul 2013 12:18:11 +0200

librdf-linkeddata-perl (0.57+07-1) experimental; urgency=low

  [ upstream ]
  * New development release.
    + Link Perl package to Debian upstream
    + Add explicit seeAlso link too
    + Forgot the namespacemap dep
    + Forgot a patch that simplifies headers

  [ Jonas Smedegaard ]
  * Adjust get-orig-source handling to treat development releases as
    later than simpler versioned ones.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 23 Jul 2013 01:37:42 +0200

librdf-linkeddata-perl (0.57+05-1) experimental; urgency=low

  [ upstream ]
  * New release.
    + Enable optional use of environment for config.
    + Add the use of content type to Etag to work around some bugs.
    + Allow POST requests to the endpoint.
    + Fix newline bug causing problems.
    + Remove write_sqlite script.
    + Use URI::NamespaceMap for namespaces.
    + Change packaging to use Module::Package::RDF.
    + Improved tests.

  [ Salvatore Bonaccorso ]
  * Use canonical hostname (anonscm.debian.org) in Vcs-Git URI.

  [ Xavier Guimard ]
  * Fix copyright file refer to versioned GPL licenses.

  [ Jonas Smedegaard ]
  * Add README.source emphasizing control.in file as *not* a
    show-stopper for contributions, referring to wiki page for details.
  * Update copyright/licensing info:
    + Add git URL as alternate source.
    + Fix use license and comment pseudo-sections in copyright file to
      obey silly restrictions of copyright format 1.0.
    + Bump packaging license to GPL-3+, and extend copyrigt coverage for
      myself to include current year.
    + Update coverage for convenience code copies.
    + Extend coverage for main upstream author.
  * Bump debhelper compatibility to 8.
  * Bump standards-version to 3.9.4.
  * Switch to cpan.org/authors URL for watch file and get-orig-source
    target, and simplify watch file.
  * Stop tracking md5sum of upstream tarball.
  * Relax to build-depend unversioned on cdbs: Needed version satisfied
    even on oldstable.
  * (Re-)add get-orig-source support for development releases.
  * Regenerate Module::Package files during build.
    Build-depend on libmodule-package-rdf-perl.
    Tighten build-dependency on cdbs to versions supporting putting
    aside upstream cruft.
  * (Build-)depend on liburi-namespacemap-perl.
  * Relax regression tests when targeted experimental suite.
  * Install PSGI script only as example file.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 18 Jul 2013 17:28:13 +0200

librdf-linkeddata-perl (0.56-1) unstable; urgency=low

  * New upstream release:
    + More tests.
    + Fix major UTF8 breakage by encoding all strings.
    + Fix performance problems by stat-ing the external VoID-file to see
      if needs reloading.
    + Fix performance problems caused by regeneration of VoID
      descriptions for every request.
    + Improve the way different HTML serializations are returned.
    + Skip some tests when Redland is installed, causes test-specific
      bugs.
    + Some cosmetic fixes.

  * Re-enable testsuite.
  * Update package relations:
    + Build-depend on (not only recommend/suggest) libconfig-jfdi-perl,
      libplack-middleware-crossorigin-perl, librdf-endpoint-perl,
      libjson-perl, librdf-generator-void-perl and
      librdf-rdfa-parser-perl: Needed for testsuite.
    + Recommend (not suggest) librdf-generator-void-perl: Now in Debian.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 07 Aug 2012 14:09:07 +0200

librdf-linkeddata-perl (0.54-1) unstable; urgency=low

  * New upstream release.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 30 Jun 2012 17:33:26 +0200

librdf-linkeddata-perl (0.52-1) unstable; urgency=low

  * New upstream release.

  * Update package relations:
    + Build-depend on (not only recommend)
      libplack-middleware-crossorigin-perl and librdf-endpoint-perl.
    + Suggest librdf-generator-void-perl.
  * Rewrite long description based on upstream texts.
  * Disable tests: Upstream testsuite currently broken. Temporarily drop
    test-related build-depdendencies.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 29 Jun 2012 11:31:11 +0200

librdf-linkeddata-perl (0.44-1) unstable; urgency=low

  * New upstream release.

  * Fix install binaries below /usr/share/librdf-linkeddata-perl (not
    /usr/share/liblinkeddata-perl).
  * Install sample json config files.
  * Recommend (not suggest) librdf-endpoint-perl: It is in Debian now.
  * Tidy package relations resolving.
  * Tighten build-dependency on librdf-test-perl.
  * Update copyright file:
    + Document more convenience copies of external Perl modules.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 12 Jun 2012 23:04:31 +0200

librdf-linkeddata-perl (0.40-1) unstable; urgency=low

  * New upstream release.

  [ gregor herrmann ]
  * Remove debian/source/local-options; abort-on-upstream-changes and
    unapply-patches are default in dpkg-source since 1.16.1.

  [ Jonas Smedegaard ]
  * Bump standards-version to 3.9.3.
  * Use anonscm.debian.org for Vcs-Browser field.
  * Update copyright file:
    + Fix double-indent in Copyright fields as per Policy §5.6.13.
    + Extend/adjust a few copyright years.
  * Update short description, based on upstream change.
  * Update package relations:
    + (Build-)depend on libhtml-html5-writer-perl,
      libmoosex-undeftolerant-perl and librdf-rdfa-generator-perl:
      Needed by new upstream release.
    + Tigten (build-)dependency on libnamespace-autoclean-perl to be
      versioned: Needed by new upstream release.
    + Recommend libplack-middleware-crossorigin-perl: Recommended by new
      upstream release.
    + Relax build-dependency on cdbs; Needlessly tight.
    + Relax build-depend unversioned on debhelper and devscripts: Needed
      versions satisfied even in oldstable.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 18 May 2012 22:19:42 +0200

librdf-linkeddata-perl (0.30-1) unstable; urgency=low

  * New upstream release.
  * Update md5sum hint for new upstream 0.30 release.
  * Update package relations:
    + Stop build-depending on or recommending libjson-perl.
    + Stop build-depending on libtest-nowarnings-perl.
    + Suggest (until officially packaged) librdf-endpoint-perl.
  * Add copyright years and more copyright holders.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 21 Jun 2011 18:30:02 +0200

librdf-linkeddata-perl (0.20-3) unstable; urgency=low

  * Suppress development releases in watch file.
  * Update copyright file:
    + Quote license names in License field comments.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 05 Jun 2011 14:05:10 +0200

librdf-linkeddata-perl (0.20-2) unstable; urgency=low

  * Fix build-depend on libtest-json-perl.
    Make regression tests strict.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 16 May 2011 06:32:09 +0200

librdf-linkeddata-perl (0.20-1) unstable; urgency=low

  * Initial packaging release.
    Closes: bug#626874.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 16 May 2011 05:22:37 +0200
